=== doc/CMakeLists.txt ===
add_subdirectory(user)
add_subdirectory(developer)
