=== connector/c/CMakeLists.txt ===
add_subdirectory(tnt)
add_subdirectory(tntsql)
add_subdirectory(tntnet)
