=== debian/changelog ===
tarantool (1.4.4+20120127-1) unstable; urgency=low

  * Merge with upstream.
  * Package can purge not owned files, closes: #657132.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 27 Jan 2012 23:37:53 +0400
